com.rscja.team.qcom.custom

## Class UHFTamperAPI_qcom

- java.lang.Object
- - com.rscja.deviceapi.UhfBase
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom
    - - com.rscja.team.qcom.custom.UHFTamperAPI_qcom

- All Implemented Interfaces:
    IUHFTamperAPI, IHandheldRFID, ISingleAntenna, IUHF, IUHFOfAndroidUart

      public class UHFTamperAPI_qcom
      extends RFIDWithUHFUART_qcom
      implements IUHFTamperAPI

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.rscja.deviceapi.UhfBase

      `UhfBase.ErrorCode`

  - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UHFTamperAPI_qcom` | `getInstance()`
    `UHFTamperAPI.TamperInfo` | `readTamperTagFromBuffer()`
    `boolean` | `setEPCAndTamperMode()`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFUART_qcom

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getEPCAndTIDUserModeEx, getErrCode, getFastInventoryMode, getFrequencyMode, getGen2, getHardwareVersion, getLBTMode, getPower, getProtocol, getRFLink, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, inventorySingleTag, isInventorying, isPowerOn, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCAndTIDUserModeEx, setEPCAndUserReservedModeEx, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setGen2, setInventoryCallback, setLBTMode, setPower, setPowerOnBySystem, setProtocol, setRFLink, setTagFocus, setUart, startInventoryTag, startInventoryTag, startLocation, startRadarLocation, stopInventory, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, UHFVerifyVoltage, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.deviceapi.UhfBase

      `readTcpServiceState, setOnLowBatteryListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### getInstance

          public static UHFTamperAPI_qcom getInstance()

    - #### setEPCAndTamperMode

          public boolean setEPCAndTamperMode()

      Specified by:
        `setEPCAndTamperMode` in interface `IUHFTamperAPI`

    - #### readTamperTagFromBuffer

          public UHFTamperAPI.TamperInfo readTamperTagFromBuffer()

      Specified by:
        `readTamperTagFromBuffer` in interface `IUHFTamperAPI`